#!/bin/sh 
appname=`basename $0 | sed s,\.sh$,,` 
dirname=`dirname $0` 
tmp="${dirname#?}" 
if [ "${dirname%$tmp}" != "/" ]; then 
	dirname=$PWD/$dirname 
fi 
echo $dirname 
LD_LIBRARY_PATH=$dirname/dep:$dirname 
export LD_LIBRARY_PATH 
cd $dirname
./"$appname"
